package vip.xiaonuo.money.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.entity.MoneyBusiness;
import vip.xiaonuo.money.entity.MoneyCost;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.money.param.DsBusSaleMoneyParam;

import java.util.List;

/**
 * <p>
 * 财务费用分析 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface MoneyCostMapper extends BaseMapper<MoneyCost> {

    List<DsBusSaleMoneyParam> getMoneyDetailMonth(@Param(Constants.WRAPPER)QueryWrapper<MoneyBusiness> wapper);

    List<DsBusSaleMoneyParam> getMoneyDetailYear(@Param(Constants.WRAPPER)QueryWrapper<MoneyBusiness> wapper);
}
