package vip.xiaonuo.write.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import vip.xiaonuo.write.entity.WriteTravelLog;
import vip.xiaonuo.write.entity.WriteTravelRoute;
import vip.xiaonuo.write.entity.WriteUnqualified;

import java.util.Date;
import java.util.List;

@Data
public class WriteUnqualifiedParam {

    private List<WriteUnqualified> writeUnqualifieds;

    @ApiModelProperty(value = "年",position = 1)
    private String year;

    @ApiModelProperty(value = "编制日期",position = 2)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date editTime;

    @ApiModelProperty(value = "审核日期",position = 3)
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date examineTime;

    @ApiModelProperty(value = "orgId",position = 4)
    private String orgId;

    @ApiModelProperty(value = "listId",position = 4)
    private Integer listId;
}
