package vip.xiaonuo.write.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import vip.xiaonuo.common.pojo.CommonResult;
import vip.xiaonuo.production.entity.ProductionWriteRate;
import vip.xiaonuo.production.param.ProductionPageParam;
import vip.xiaonuo.sys.modular.user.entity.SysUser;
import vip.xiaonuo.write.entity.WriteThreshold;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.write.param.WriteThresholdAddParam;
import vip.xiaonuo.write.param.WriteThresholdPageParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 通用预警阈值 服务类
 * </p>
 *
 * @author author
 * @since 2025-03-01
 */
public interface IWriteThresholdService extends IService<WriteThreshold> {

    CommonResult add(WriteThresholdAddParam addParam);

    CommonResult edit(WriteThreshold threshold);

    CommonResult delete(Map<String, String> paramsMap);

    Page<WriteThreshold> page(WriteThresholdPageParam pageParam);

    //获取处理人列表
    List<SysUser> getUserList(Map<String, String> paramsMap);
}
